Index: /trunk/zoo-project/zoo-kernel/main_conf_read.l
===================================================================
--- /trunk/zoo-project/zoo-kernel/main_conf_read.l	(revision 620)
+++ /trunk/zoo-project/zoo-kernel/main_conf_read.l	(revision 621)
@@ -1,31 +1,36 @@
-/* Line number from bison */
+/*
+ * Zoo main configuration file parser
+ *
+ * Author : Gérald FENOY
+ *
+ * Copyright (c) 209-2015 GeoLabs SARL
+ *
+ * Permission is hereby granted, free of charge, to any person obtaining a copy
+ * of this software and associated documentation files (the "Software"), to deal
+ * in the Software without restriction, including without limitation the rights
+ * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+ * copies of the Software, and to permit persons to whom the Software is
+ * furnished to do so, subject to the following conditions:
+ *
+ * The above copyright notice and this permission notice shall be included in
+ * all copies or substantial portions of the Software.
+ *
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+ * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+ * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+ * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+ * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+ * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+ * THE SOFTWARE.
+ */
 %option yylineno
 
 %{
-//======================================================
-/**
-Zoo main configuration file parser
-**/
-//======================================================
-
 
 #include <string.h>
 #include "main_conf_read.tab.h"
 static int affichetrace = 0 ;
-static int attentionImpossibleDeTrouverXMLDeclapres = 0 ;
-static int attentionImpossibleDeTrouverPIapres = 0 ;
 
 %}
-
-
-S		[ \t\r\n]+
-
-CharRef		"&#"[0-9]+";"|"&#x"[0-9a-fA-F]+";"
-
-egalevolue		{S}?"="{S}?
-
-Name		([_:]|[\x41-\x5A]|[\x61-\x7A]|[\xC0-\xD6]|[\xD8-\xF6]|[\xF8-\xFF])(([\x41-\x5A]|[\x61-\x7A]|[\xC0-\xD6]|[\xD8-\xF6]|[\xF8-\xFF])|[0-9.\-_:])*
-
-chardata	[^<]*
 
 attname	[a-zA-Z0-9_\-:]+
@@ -33,19 +38,8 @@
 attvalue1	[%\*,;@a-zA-Z0-9_\-.:" "\"\'/\\\(\)\+\x41-\xff]+
 
-attvalue		\"[^"]*\"|\'[^']*\'
-
-virgule	[,]+
-
-whitespace                      [ ]{0,}
 whitesp                      [ ]
 newline                 [\r\n]|[\n]
-newlines                 [\r\n]{1,}|[\n]{1,}
-
-
 
 %x DANSBALISE HORSBALISE PAIRSTART
-
-
-
 
 %%
@@ -65,52 +59,4 @@
 <PAIRSTART,INITIAL,HORSBALISE,DANSBALISE>{newline}+{whitesp}*			{if (affichetrace==1) printf ("\n\nNEWLINE 2\n") ; BEGIN(INITIAL); return NEWLINE;}
 
-<INITIAL>"<?"[Xx][Mm][Ll]  { if (attentionImpossibleDeTrouverXMLDeclapres == 1 || attentionImpossibleDeTrouverPIapres == 1) { printf("\nerror : LINE %d : comment ot PI before xml declaration\n",yylineno); exit (10) ; } ; if (affichetrace==1) printf ("\n\nSTARTXMLDECL:%s\n",yytext) ;return STARTXMLDECL;}
-
-<INITIAL>"version"{egalevolue}\"1.0\"|"version"{egalevolue}\'1.0\'  {if (affichetrace==1) printf ("\n\nVERSIONDECL:%s\n",yytext) ;return VERSIONDECL;}
-<INITIAL>"version"{egalevolue}\"[^"]*\"|"version"{egalevolue}\'[^']*\'  {/* erreur de version encoding */ 	printf("\nerror : LINE %d : XML Version not supported : %s\n",yylineno,yytext); exit (9) ; }
-
-
-<INITIAL>"encoding"{egalevolue}\"[Ii][Ss][Oo]"-8859-1"\"|"encoding"{egalevolue}\'[Ii][Ss][Oo]"-8859-1"\'  {if (affichetrace==1) printf ("\n\nENCODINGDECL:%s\n",yytext) ; return ENCODINGDECL;}
-<INITIAL>"encoding"{egalevolue}\"[^"]*\"|"encoding"{egalevolue}\'[^']*\'  {/* erreur de version encoding */ 	printf("\nerror : LINE %d : encoding version not supported : %s\n",yylineno,yytext); exit (8) ; }
-
-
-<INITIAL>"standalone"{egalevolue}\"yes\"|"standalone"{egalevolue}\'yes\'|"standalone"{egalevolue}\"no\"|"standalone"{egalevolue}\'no\'  {if (affichetrace==1) printf ("\n\nSDDECL:%s\n",yytext) ; return SDDECL;}
-
-<INITIAL>"standalone"{egalevolue}\"[^"]*\"|"standalone"{egalevolue}\'[^']*\'|"standalone"{egalevolue}\"[^"]*\"|"standalone"{egalevolue}\'[^']*\'  {/* erreur de version encoding */ 	printf("\nerror : LINE %d : standalone version not supported : %s\n",yylineno,yytext); exit (7) ; }
-
-
-<INITIAL>"?>"  {if (affichetrace==1) printf ("\n\nENDXMLDECL:%s\n",yytext) ; BEGIN(HORSBALISE);return ENDXMLDECL;}
-
-
-<DANSBALISE,INITIAL,HORSBALISE>{S}   {if (affichetrace==1) printf ("\n\nS:'%s'\n",yytext) ; }
-
-
-<HORSBALISE>"<?"[Xx][Mm][Ll]{S}({S}|{chardata})*"?>"|"<?"[Xx][Mm][Ll]"?>"	{if (affichetrace==1) printf ("\n\nPIERROR:%s\n",yytext) ; return PIERROR;}
-<INITIAL,HORSBALISE>"<?"([^xX]|([xX][^mM])|([xX][mM][^lL]))({S}|([^?]|("?"[^>])))*"?>"		{attentionImpossibleDeTrouverPIapres=1 ;  if (affichetrace==1) printf ("\n\nPI:%s\n",yytext) ; return PI;}
-
-
-<INITIAL,HORSBALISE>{newline}*"<"		    {if (affichetrace==1) printf ("\n\nINFCAR:%s\n",yytext) ; BEGIN(DANSBALISE);return INFCAR;}
-
-
-<DANSBALISE>">"			{if (affichetrace==1) printf ("\n\nSUPCAR:%s\n",yytext) ; BEGIN(HORSBALISE);return SUPCAR;}
-
-
-<DANSBALISE>"/"		{if (affichetrace==1) printf ("\n\nSLASH:%s\n",yytext) ; return SLASH;}
-
-
-<DANSBALISE>{egalevolue}			{if (affichetrace==1) printf ("\n\nEq:'%s'\n",yytext) ; return Eq;}
-
-
-<DANSBALISE>{Name}			{if (affichetrace==1) printf ("\n\nID:%s\n",yytext) ; crlval.s=yytext;return ID;}
-
-
-<DANSBALISE>{attvalue}		{if (affichetrace==1) printf ("\n\nATTVALUE:%s\n",yytext) ; return ATTVALUE;}
-
-
-<INITIAL,HORSBALISE>"<!--"([^-]|"-"[^-])*"-->"		{attentionImpossibleDeTrouverXMLDeclapres=1; }
-
-
-<INITIAL,DANSBALISE,HORSBALISE>.|\n	{if (affichetrace==1)printf("error : LINE %d : character not supported '%s'\n",yylineno,yytext); }
-
 %%
 
Index: /trunk/zoo-project/zoo-kernel/main_conf_read.y
===================================================================
--- /trunk/zoo-project/zoo-kernel/main_conf_read.y	(revision 620)
+++ /trunk/zoo-project/zoo-kernel/main_conf_read.y	(revision 621)
@@ -1,6 +1,28 @@
-%{
 /*
  * Zoo main configuration file parser
+ *
+ * Author : Gérald FENOY
+ *
+ * Copyright (c) 209-2015 GeoLabs SARL
+ *
+ * Permission is hereby granted, free of charge, to any person obtaining a copy
+ * of this software and associated documentation files (the "Software"), to deal
+ * in the Software without restriction, including without limitation the rights
+ * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+ * copies of the Software, and to permit persons to whom the Software is
+ * furnished to do so, subject to the following conditions:
+ *
+ * The above copyright notice and this permission notice shall be included in
+ * all copies or substantial portions of the Software.
+ *
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+ * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+ * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+ * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+ * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+ * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+ * THE SOFTWARE.
  */
+%{
 #include <service.h>
 
@@ -28,30 +50,10 @@
 %}
 
+%union { char* s;char* chaine; char* key;char* val;}
 
-
-//======================================================
-/* le type des lval des jetons et des elements non terminaux bison */
-//======================================================
-%union { char* s;char* chaine; char* key;char* val;}
-//======================================================
-
-// jetons //
-//======================================================
-/* les jetons que l on retrouve dans FLEX */
-//======================================================
-/* texte on a besoin de récupérer une valeur char* pour la comparer */
 %token <s> ID
 %token <s> CHAINE
-/* STARTXMLDECL et ENDXMLDECL qui sont <?xml et ?>*/
-%token STARTXMLDECL ENDXMLDECL
-//======================================================
-/* version="xxx" et encoding="xxx" */
-%token VERSIONDECL ENCODINGDECL SDDECL
-//======================================================
-/* < et > */
-%token INFCAR SUPCAR 
-//======================================================
-/* / = a1  texte "texte" */
-%token SLASH Eq CHARDATA ATTVALUE PAIR SPAIR EPAIR EPAIRS ANID
+
+%token PAIR SPAIR EPAIR EPAIRS ANID
 %type <chaine> PAIR
 %type <chaine> EPAIRS
@@ -59,185 +61,31 @@
 %type <chaine> SPAIR
 
-//======================================================
-/* <!-- xxx -> <? xxx yyy ?> */
-%token PI PIERROR /** COMMENT **/
-//======================================================
-/* <!-- xxx -> <? xxx yyy ?> */
-%token ERREURGENERALE CDATA WHITESPACE NEWLINE
-//======================================================
-// non terminaux typés
-//======================================================
-/* elements non terminaux de type char *     */
-/* uniquement ceux qui devrons etre comparés */
-//======================================================
-%type <s> STag
-%type <s> ETag
+%token WHITESPACE NEWLINE
+
 %type <s> ANID
-//======================================================
-// %start
-//======================================================
 
 %%
-// document <//===
-//======================================================
-// regle 1
-// on est a la racine du fichier xml
-//======================================================
+
 document
- : miscetoile element miscetoile {}
+ : miscetoile miscetoile {}
  | contentetoile processid contentetoile document {}
  ;
 
 miscetoile
- : miscetoile PIERROR {crerror("processing instruction begining with <?xml ?> impossible\n");}
- | miscetoile PI {}
- | {}
+ : {}
  ;
-// element
-//======================================================
-// regle 39
-// OUVRANTE CONTENU FERMANTE obligatoirement
-// ou neutre
-// on ne peut pas avoir Epsilon
-// un fichier xml ne peut pas etre vide ou seulement avec un prolog
-//======================================================
-element
- : STag contentetoile ETag	
-{
-  /* les non terminaux rendent les valeurs de leur identifiants de balise */
-  /* en char*, donc on peut comparer ces valeurs avec la fonction C++ strcmp(const char*;const char*) */
-  /* de string */
-  if (strcmp($1,$3) != 0)
-    {
-      crerror("Opening and ending tag mismatch");
-      printf("\n  ::details : tag '%s' et '%s' \n",$1,$3);
-      return 1;
-      // on retourne different de 0
-      // sinon yyparse rendra 0
-      // et dans le main on croira a le fichier xml est valide !
-    }
-}
-// pour neutre
-// on a rien a faire, meme pas renvoyer l identificateur de balise
-// vu qu'il n y a pas de comparaison d'identificateurs avec un balise jumelle .
- | EmptyElemTag          {}
- ;
-//======================================================
-// STag
-//======================================================
-// regle 40
-// BALISE OUVRANTE
-// on est obligé de faire appel a infcar et supcar
-// pour acceder aux start conditions DANSBALISE et INITIAL
-//======================================================
-STag
- : INFCAR ID Attributeetoile SUPCAR
-{	
 
-#ifdef DEBUG
-	printf("* Identifiant : %s\n",$2);
-#endif
-	
-	$$ = $2 ;
-}
- ;
-//======================================================
-// Attributeetoile
-//======================================================
-// regle 41
-// une liste qui peut etre vide d'attributs
-// utiliser la récursivité a gauche
-//======================================================
 Attributeetoile
- : Attributeetoile attribute  {}
+ : Attributeetoile  {}
  | 	                          {/* Epsilon */}
  ;
-//======================================================
-// attribute
-//======================================================
-// regle 41
-// un attribut est compose d'un identifiant
-// d'un "="
-// et d'une définition de chaine de caractere
-// ( "xxx" ou 'xxx' )
-//======================================================
-attribute
- : ID Eq ATTVALUE		
-{
-	// on verifie que les attributst ne sont pas en double
-	// sinon on ajoute au vector
-}
- ;
-//======================================================
-// EmptyElemTag
-//======================================================
-// regle 44
-// ICI ON DEFINIT NEUTRE
-// on ne renvoie pas de char*
-// parce qu'il n'y a pas de comparaisons a faire
-// avec un identifiant d'une balise jumelle
-//======================================================
-EmptyElemTag
- : INFCAR ID Attributeetoile SLASH SUPCAR	{}
- ;
-//======================================================
-// ETag
-//======================================================
-// regle 42
-// BALISE FERMANTE
-// les separateurs après ID sont filtrés
-//======================================================
-ETag
- : INFCAR SLASH ID SUPCAR
-{
-  /* on renvoie l'identifiant de la balise pour pouvoir comparer les 2 */
-  /* /!\ une balise fermante n'a pas d'attributs (c.f. : W3C) */
-  $$ = $3;
-}
- ;
-//======================================================
-// contentetoile
-//======================================================
-// regle 43
-// ENTRE 2 BALISES
-// entre 2 balises, on peut avoir :
-// --- OUVRANTE CONTENU FERMANTE (recursivement !)
-// --- DU TEXTE quelconque
-// --- COMMENTS 
-// --- DES PROCESSES INSTRUCTIONS
-// --- /!\ il peut y avoir une processing instruction invalide ! <?xml
-// --- EPSILON
-// ### et/ou tout ca a la suite en nombre indeterminé
-// ### donc c'est un operateur etoile (*)
-//======================================================
+
 contentetoile
-: contentetoile element	          {}
- | contentetoile PIERROR	          {crerror("processing instruction <?xml ?> impossible\n");}
- | contentetoile PI	                  {}
-///// on filtre les commentaires | contentetoile comment              {} 
- | contentetoile NEWLINE {/*printf("NEWLINE FOUND !!");*/}
+: contentetoile NEWLINE {}
  | contentetoile pair {}
- | contentetoile processid {}
- | contentetoile texteinterbalise	  {}
- | contentetoile CDATA {}  
  | {/* Epsilon */}
  ;
-//======================================================
-// texteinterbalise
-//======================================================
-// regle 14
-// DU TEXTE quelconque
-// c'est du CHARDATA
-// il y a eut un probleme avec ID,
-// on a mis des starts conditions,
-// maintenant on croise les ID dans les dbalises
-// et des CHARDATA hors des balises
-//======================================================
-texteinterbalise
- : CHARDATA		{}
- ;
-//======================================================
 
-pair: PAIR {curr_key=zStrdup($1);/*printf("START 0 PAIR FOUND !! \n [%s]\n",$1);*/}
+pair: PAIR {curr_key=zStrdup($1);}
 | EPAIR {
   if(current_content==NULL) 
